Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.operation
Interface OperationMethod

All Superinterfaces:
  IdentifiedObject

    @UML(identifier="CC_OperationMethod",
         specification=ISO_19111)
    public interface OperationMethod

extends IdentifiedObject

Definition of an algorithm used to perform a coordinate operation. Most operation methods use a number of operation parameters, although some coordinate conversions use none. Each coordinate operation using the method assigns values to these parameters.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0
See Also:
  `Operation`

Field Summary
`static String` | `FORMULA_KEY` Key for the `"formula"` property.

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`InternationalString` | `getFormula()` Formula(s) or procedure used by this operation method.
`ParameterDescriptorGroup` | `getParameters()` The set of parameters.
`int` | `getSourceDimensions()` Number of dimensions in the source CRS of this operation method.
`int` | `getTargetDimensions()` Number of dimensions in the target CRS of this operation method.

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Field Detail

### FORMULA_KEY

    static final String FORMULA_KEY

  Key for the `"formula"` property. This is used for setting the value to be returned by `getFormula()`.

  See Also:
    `getFormula()`, Constant Field Values

Method Detail

### getFormula

    @UML(identifier="formula",
         obligation=MANDATORY,
         specification=ISO_19111)
    InternationalString getFormula()

  Formula(s) or procedure used by this operation method. This may be a reference to a publication. Note that the operation method may not be analytic, in which case this attribute references or contains the procedure, not an analytic formula.

### getSourceDimensions

    @UML(identifier="sourceDimensions",
         obligation=MANDATORY,
         specification=ISO_19111)
    int getSourceDimensions()

  Number of dimensions in the source CRS of this operation method.

  Returns:
    The dimension of source CRS.

### getTargetDimensions

    @UML(identifier="targetDimensions",
         obligation=MANDATORY,
         specification=ISO_19111)
    int getTargetDimensions()

  Number of dimensions in the target CRS of this operation method.

  Returns:
    The dimension of target CRS.

### getParameters

    @UML(identifier="usesParameter",
         obligation=MANDATORY,
         specification=ISO_19111)
    ParameterDescriptorGroup getParameters()

  The set of parameters.

  Returns:
    The parameters, or an empty group if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.